Skip to content
V2 (Legacy) API ReferenceGet started

Contact Card

Contact Card lets you set and share your contact information (name and profile photo) with chat participants via iMessage Name and Photo Sharing.

Use POST /v3/contact_card to create or update a card for a phone number. Use PATCH /v3/contact_card to update an existing active card. Use GET /v3/contact_card to retrieve the active card(s) for your partner account.

Sharing behavior: Sharing may not take effect in every chat due to limitations outside our control. We recommend calling the share endpoint once per day, after the first outbound activity.

Get contact cards
client.ContactCard.Get(ctx, query) (*ContactCardGetResponse, error)
GET/v3/contact_card
Setup contact card
client.ContactCard.New(ctx, body) (*SetContactCard, error)
POST/v3/contact_card
Update contact card
client.ContactCard.Update(ctx, params) (*SetContactCard, error)
PATCH/v3/contact_card
ModelsExpand Collapse
type SetContactCard struct{…}
FirstName string

First name on the contact card

IsActive bool

Whether the contact card was successfully applied to the device

PhoneNumber string

The phone number the contact card is associated with

ImageURL stringOptional

Image URL on the contact card

LastName stringOptional

Last name on the contact card